// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * Grid connect mode kind
 * </pre>
 *
 * Protobuf type {@code commonmodule.ENG_GridConnectModeKind}
 */
public final class ENG_GridConnectModeKind extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:commonmodule.ENG_GridConnectModeKind)
    ENG_GridConnectModeKindOrBuilder {
private static final long serialVersionUID = 0L;
  // Use ENG_GridConnectModeKind.newBuilder() to construct.
  private ENG_GridConnectModeKind(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private ENG_GridConnectModeKind() {
    setVal_ = 0;
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new ENG_GridConnectModeKind();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ENG_GridConnectModeKind_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ENG_GridConnectModeKind_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.commonmodule.ENG_GridConnectModeKind.class, openfmb.commonmodule.ENG_GridConnectModeKind.Builder.class);
  }

  public static final int SETVAL_FIELD_NUMBER = 1;
  private int setVal_ = 0;
  /**
   * <pre>
   * The value of the status setting.
   * </pre>
   *
   * <code>.commonmodule.GridConnectModeKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The enum numeric value on the wire for setVal.
   */
  @java.lang.Override public int getSetValValue() {
    return setVal_;
  }
  /**
   * <pre>
   * The value of the status setting.
   * </pre>
   *
   * <code>.commonmodule.GridConnectModeKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The setVal.
   */
  @java.lang.Override public openfmb.commonmodule.GridConnectModeKind getSetVal() {
    openfmb.commonmodule.GridConnectModeKind result = openfmb.commonmodule.GridConnectModeKind.forNumber(setVal_);
    return result == null ? openfmb.commonmodule.GridConnectModeKind.UNRECOGNIZED : result;
  }

  public static final int SETVALEXTENSION_FIELD_NUMBER = 2;
  private com.google.protobuf.StringValue setValExtension_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.StringValue setValExtension = 2;</code>
   * @return Whether the setValExtension field is set.
   */
  @java.lang.Override
  public boolean hasSetValExtension() {
    return setValExtension_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.StringValue setValExtension = 2;</code>
   * @return The setValExtension.
   */
  @java.lang.Override
  public com.google.protobuf.StringValue getSetValExtension() {
    return setValExtension_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : setValExtension_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.StringValue setValExtension = 2;</code>
   */
  @java.lang.Override
  public com.google.protobuf.StringValueOrBuilder getSetValExtensionOrBuilder() {
    return setValExtension_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : setValExtension_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (setVal_ != openfmb.commonmodule.GridConnectModeKind.GridConnectModeKind_UNDEFINED.getNumber()) {
      output.writeEnum(1, setVal_);
    }
    if (setValExtension_ != null) {
      output.writeMessage(2, getSetValExtension());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (setVal_ != openfmb.commonmodule.GridConnectModeKind.GridConnectModeKind_UNDEFINED.getNumber()) {
      size += com.google.protobuf.CodedOutputStream
        .computeEnumSize(1, setVal_);
    }
    if (setValExtension_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getSetValExtension());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.commonmodule.ENG_GridConnectModeKind)) {
      return super.equals(obj);
    }
    openfmb.commonmodule.ENG_GridConnectModeKind other = (openfmb.commonmodule.ENG_GridConnectModeKind) obj;

    if (setVal_ != other.setVal_) return false;
    if (hasSetValExtension() != other.hasSetValExtension()) return false;
    if (hasSetValExtension()) {
      if (!getSetValExtension()
          .equals(other.getSetValExtension())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    hash = (37 * hash) + SETVAL_FIELD_NUMBER;
    hash = (53 * hash) + setVal_;
    if (hasSetValExtension()) {
      hash = (37 * hash) + SETVALEXTENSION_FIELD_NUMBER;
      hash = (53 * hash) + getSetValExtension().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.commonmodule.ENG_GridConnectModeKind parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.ENG_GridConnectModeKind parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.ENG_GridConnectModeKind parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.ENG_GridConnectModeKind parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.ENG_GridConnectModeKind parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.ENG_GridConnectModeKind parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.ENG_GridConnectModeKind parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.ENG_GridConnectModeKind parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.ENG_GridConnectModeKind parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.ENG_GridConnectModeKind parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.ENG_GridConnectModeKind parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.ENG_GridConnectModeKind parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.commonmodule.ENG_GridConnectModeKind prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Grid connect mode kind
   * </pre>
   *
   * Protobuf type {@code commonmodule.ENG_GridConnectModeKind}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:commonmodule.ENG_GridConnectModeKind)
      openfmb.commonmodule.ENG_GridConnectModeKindOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ENG_GridConnectModeKind_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ENG_GridConnectModeKind_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.commonmodule.ENG_GridConnectModeKind.class, openfmb.commonmodule.ENG_GridConnectModeKind.Builder.class);
    }

    // Construct using openfmb.commonmodule.ENG_GridConnectModeKind.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      setVal_ = 0;
      setValExtension_ = null;
      if (setValExtensionBuilder_ != null) {
        setValExtensionBuilder_.dispose();
        setValExtensionBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ENG_GridConnectModeKind_descriptor;
    }

    @java.lang.Override
    public openfmb.commonmodule.ENG_GridConnectModeKind getDefaultInstanceForType() {
      return openfmb.commonmodule.ENG_GridConnectModeKind.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.commonmodule.ENG_GridConnectModeKind build() {
      openfmb.commonmodule.ENG_GridConnectModeKind result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.commonmodule.ENG_GridConnectModeKind buildPartial() {
      openfmb.commonmodule.ENG_GridConnectModeKind result = new openfmb.commonmodule.ENG_GridConnectModeKind(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.commonmodule.ENG_GridConnectModeKind result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.setVal_ = setVal_;
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.setValExtension_ = setValExtensionBuilder_ == null
            ? setValExtension_
            : setValExtensionBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.commonmodule.ENG_GridConnectModeKind) {
        return mergeFrom((openfmb.commonmodule.ENG_GridConnectModeKind)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.commonmodule.ENG_GridConnectModeKind other) {
      if (other == openfmb.commonmodule.ENG_GridConnectModeKind.getDefaultInstance()) return this;
      if (other.setVal_ != 0) {
        setSetValValue(other.getSetValValue());
      }
      if (other.hasSetValExtension()) {
        mergeSetValExtension(other.getSetValExtension());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {
              setVal_ = input.readEnum();
              bitField0_ |= 0x00000001;
              break;
            } // case 8
            case 18: {
              input.readMessage(
                  getSetValExtensionFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private int setVal_ = 0;
    /**
     * <pre>
     * The value of the status setting.
     * </pre>
     *
     * <code>.commonmodule.GridConnectModeKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The enum numeric value on the wire for setVal.
     */
    @java.lang.Override public int getSetValValue() {
      return setVal_;
    }
    /**
     * <pre>
     * The value of the status setting.
     * </pre>
     *
     * <code>.commonmodule.GridConnectModeKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @param value The enum numeric value on the wire for setVal to set.
     * @return This builder for chaining.
     */
    public Builder setSetValValue(int value) {
      setVal_ = value;
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * The value of the status setting.
     * </pre>
     *
     * <code>.commonmodule.GridConnectModeKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The setVal.
     */
    @java.lang.Override
    public openfmb.commonmodule.GridConnectModeKind getSetVal() {
      openfmb.commonmodule.GridConnectModeKind result = openfmb.commonmodule.GridConnectModeKind.forNumber(setVal_);
      return result == null ? openfmb.commonmodule.GridConnectModeKind.UNRECOGNIZED : result;
    }
    /**
     * <pre>
     * The value of the status setting.
     * </pre>
     *
     * <code>.commonmodule.GridConnectModeKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @param value The setVal to set.
     * @return This builder for chaining.
     */
    public Builder setSetVal(openfmb.commonmodule.GridConnectModeKind value) {
      if (value == null) {
        throw new NullPointerException();
      }
      bitField0_ |= 0x00000001;
      setVal_ = value.getNumber();
      onChanged();
      return this;
    }
    /**
     * <pre>
     * The value of the status setting.
     * </pre>
     *
     * <code>.commonmodule.GridConnectModeKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return This builder for chaining.
     */
    public Builder clearSetVal() {
      bitField0_ = (bitField0_ & ~0x00000001);
      setVal_ = 0;
      onChanged();
      return this;
    }

    private com.google.protobuf.StringValue setValExtension_;
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> setValExtensionBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.google.protobuf.StringValue setValExtension = 2;</code>
     * @return Whether the setValExtension field is set.
     */
    public boolean hasSetValExtension() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.google.protobuf.StringValue setValExtension = 2;</code>
     * @return The setValExtension.
     */
    public com.google.protobuf.StringValue getSetValExtension() {
      if (setValExtensionBuilder_ == null) {
        return setValExtension_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : setValExtension_;
      } else {
        return setValExtensionBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.google.protobuf.StringValue setValExtension = 2;</code>
     */
    public Builder setSetValExtension(com.google.protobuf.StringValue value) {
      if (setValExtensionBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        setValExtension_ = value;
      } else {
        setValExtensionBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.google.protobuf.StringValue setValExtension = 2;</code>
     */
    public Builder setSetValExtension(
        com.google.protobuf.StringValue.Builder builderForValue) {
      if (setValExtensionBuilder_ == null) {
        setValExtension_ = builderForValue.build();
      } else {
        setValExtensionBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.google.protobuf.StringValue setValExtension = 2;</code>
     */
    public Builder mergeSetValExtension(com.google.protobuf.StringValue value) {
      if (setValExtensionBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          setValExtension_ != null &&
          setValExtension_ != com.google.protobuf.StringValue.getDefaultInstance()) {
          getSetValExtensionBuilder().mergeFrom(value);
        } else {
          setValExtension_ = value;
        }
      } else {
        setValExtensionBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.google.protobuf.StringValue setValExtension = 2;</code>
     */
    public Builder clearSetValExtension() {
      bitField0_ = (bitField0_ & ~0x00000002);
      setValExtension_ = null;
      if (setValExtensionBuilder_ != null) {
        setValExtensionBuilder_.dispose();
        setValExtensionBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.google.protobuf.StringValue setValExtension = 2;</code>
     */
    public com.google.protobuf.StringValue.Builder getSetValExtensionBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getSetValExtensionFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.google.protobuf.StringValue setValExtension = 2;</code>
     */
    public com.google.protobuf.StringValueOrBuilder getSetValExtensionOrBuilder() {
      if (setValExtensionBuilder_ != null) {
        return setValExtensionBuilder_.getMessageOrBuilder();
      } else {
        return setValExtension_ == null ?
            com.google.protobuf.StringValue.getDefaultInstance() : setValExtension_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.google.protobuf.StringValue setValExtension = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
        getSetValExtensionFieldBuilder() {
      if (setValExtensionBuilder_ == null) {
        setValExtensionBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                getSetValExtension(),
                getParentForChildren(),
                isClean());
        setValExtension_ = null;
      }
      return setValExtensionBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:commonmodule.ENG_GridConnectModeKind)
  }

  // @@protoc_insertion_point(class_scope:commonmodule.ENG_GridConnectModeKind)
  private static final openfmb.commonmodule.ENG_GridConnectModeKind DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.commonmodule.ENG_GridConnectModeKind();
  }

  public static openfmb.commonmodule.ENG_GridConnectModeKind getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<ENG_GridConnectModeKind>
      PARSER = new com.google.protobuf.AbstractParser<ENG_GridConnectModeKind>() {
    @java.lang.Override
    public ENG_GridConnectModeKind parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<ENG_GridConnectModeKind> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<ENG_GridConnectModeKind> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.commonmodule.ENG_GridConnectModeKind getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

